﻿using Cudafy;

namespace OlaCudafy1.FDTD
{
	/// <summary>
	/// Settings specific to the CUDA calculation
	/// </summary>
	[Cudafy]
	struct CudaSettings
	{
		/// <summary>
		/// Side item count of the square computation block
		/// </summary>
		public readonly static int BlockDim = 16;

	}
}
