﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace OlaCudafy1.FDTD
{
	class Microphone
	{
		/// <summary>
		/// Microphone readings data. Stored on device.
		/// </summary>
		internal float[] DevRecordings;

		public Microphone(int x, int y, int z)
		{
			InnerMicrophoneStruct = new MicrophoneStruct(x, y, z);
		}

		// could just as well be Point as MicrophoneStruct...
		public MicrophoneStruct InnerMicrophoneStruct { get; private set; }

		public static MicrophoneStruct[] ProduceInnerMicrophonesArray(Microphone[] datas)
		{
			return datas.Select(microphoneData => microphoneData.InnerMicrophoneStruct).ToArray();
		}
	}
}
